capitalized: ML FORECAST
short: ML_FCSTS
tagColor: 'blue'
plural: ML Forecasts


config:


- groupName: Forecast Model Input
  items:


    - type: toggleButton
      displayName: 'Multi-Series Forecast'
      attributeName: 'multiseries'
      isRequired: false
      default: 'true'


    - type: columnDropdownSelector
      displayName: 'Series Column'
      attributeName: 'seriescol'
      isRequired: false
      enableIf: "{{ config.multiseries }}"


    - type: columnDropdownSelector
      displayName: 'Timestamp Column'
      attributeName: 'tscol'
      isRequired: true


    - type: columnDropdownSelector
      displayName: 'Target Column'
      attributeName: 'tgtcol'
      isRequired: true


    - type: toggleButton
      displayName: 'Exogenous Variables'
      attributeName: 'exvar'
      isRequired: false
      default: 'true'
  
    - displayName: Days To Forecast
      attributeName: fcdays
      type: textBox
      enableIf: '{%- if not config.exvar %}true{%- else %}false{%- endif %}' 
      isRequired: false
      default: '30'


systemColumns:
- displayName: "FORECAST"
  attributeName: forecast
  transform: ""
  dataType: FLOAT
  placement: end
  description: 'Generated by ML Forecast Model'
- displayName: "LOWER_BOUND"
  attributeName: lower_bound
  transform: ""
  dataType: FLOAT
  placement: end
  description: 'Generated by ML Forecast Model'
- displayName: "UPPER_BOUND"
  attributeName: upper_bound
  transform: ""
  dataType: FLOAT
  placement: end
  description: 'Generated by ML Forecast Model'